## golang-github-minio-pkg 3.0.9

=== debian/changelog ===
golang-github-minio-pkg (3.0.9-2) unstable; urgency=medium

  * Fix FTBFS with updated etcd

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 30 Jul 2024 02:35:51 +0000

golang-github-minio-pkg (3.0.9-1) unstable; urgency=medium

  * New upstream release
    - Rebase patch
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 21:58:00 +0000

golang-github-minio-pkg (3.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #1076594)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 24 Jul 2024 04:38:01 +0000

## golang-github-minio-pkg 3.3.7

=== mimedb/Makefile ===
# Generate db.go from db.json downloaded nodejs mime-db project.
# NOTE: Autogenerated db.go needs to be vet proofed. \
	Manually edit json -> JSON for all variable names
all: download build

# Download db.json from NodeJS's mime-db project. It is under MIT license.
download:
	@mkdir db
	@wget -nv -q https://cdn.rawgit.com/jshttp/mime-db/master/db.json -O db/db.json


# After generating db.go, clean up downloaded db.json.
build: download
	@go run util/gen-db.go db/db.json > db.go
	@rm -f db/db.json
	@rm -rf db
	@echo Generated \"db.go\".

## golang-github-minio-pkg 3.0.10

=== debian/changelog ===
golang-github-minio-pkg (3.0.10-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 10 Aug 2024 23:01:28 +0000

=== debian/control ===
Source: golang-github-minio-pkg
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-etcd-server-dev (>= 3.5.15-3),
               golang-github-fatih-color-dev,
               golang-github-fatih-structs-dev,
               golang-github-go-ldap-ldap-dev,
               golang-github-lestrrat-go-jwx-dev (<< 2.0),
               golang-github-mattn-go-colorable-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-minio-madmin-go-dev,
               golang-github-minio-minio-go-dev,
               golang-github-minio-mux-dev,
               golang-github-montanaflynn-stats-dev,
               golang-github-rjeczalik-notify-dev,
               golang-github-tinylib-msgp-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               golang-gopkg-yaml.v3-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-pkg
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-pkg.git
Homepage: https://github.com/minio/pkg
XS-Go-Import-Path: github.com/minio/pkg

Package: golang-github-minio-pkg-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-etcd-server-dev (>= 3.5.15-3),
         golang-github-fatih-color-dev,
         golang-github-fatih-structs-dev,
         golang-github-go-ldap-ldap-dev,
         golang-github-lestrrat-go-jwx-dev (<< 2.0),
         golang-github-mattn-go-colorable-dev,
         golang-github-mattn-go-isatty-dev,
         golang-github-minio-madmin-go-dev,
         golang-github-minio-minio-go-dev,
         golang-github-minio-mux-dev,
         golang-github-montanaflynn-stats-dev,
         golang-github-rjeczalik-notify-dev,
         golang-github-tinylib-msgp-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-cheggaaa-pb.v1-dev,
         golang-gopkg-yaml.v3-dev,
         ${misc:Depends}
Description: Common packages imported by MinIO projects (library)
 Collection of common packages used in MinIO projects.

=== debian/rules ===
#!/usr/bin/make -f

# Include test certificates
export DH_GOLANG_INSTALL_EXTRA := certs/

# Don't build `util` binary
export DH_GOLANG_EXCLUDES := mimedb/util

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-minio-pkg 3.0.20

=== debian/changelog ===
golang-github-minio-pkg (3.0.20-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 05 Oct 2024 14:02:58 +0000

golang-github-minio-pkg (3.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 23 Aug 2024 15:46:49 +0000

## golang-github-minio-pkg 3.0.22

=== debian/changelog ===
golang-github-minio-pkg (3.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.22
  * Drop B-D on obsolete pre-v2 golang-github-lestrrat-go-jwx-dev.
    + Disables pkg/env, certs, licverifier, subnet namespaces.
  * Fix Description: to silence extended-description-is-probably-too-short.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 29 Nov 2024 18:56:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                golang-github-fatih-color-dev,
                golang-github-fatih-structs-dev,
                golang-github-go-ldap-ldap-dev,
-               golang-github-lestrrat-go-jwx-dev (<< 2.0),
                golang-github-mattn-go-colorable-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-minio-madmin-go-dev,
@@ -38,7 +37,6 @@
          golang-github-fatih-color-dev,
          golang-github-fatih-structs-dev,
          golang-github-go-ldap-ldap-dev,
-         golang-github-lestrrat-go-jwx-dev (<< 2.0),
          golang-github-mattn-go-colorable-dev,
          golang-github-mattn-go-isatty-dev,
          golang-github-minio-madmin-go-dev,
@@ -54,3 +52,5 @@
          ${misc:Depends}
 Description: Common packages imported by MinIO projects (library)
  Collection of common packages used in MinIO projects.
+ .
+ This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

# Don't build `util` binary
# Disable pkg/env, certs, licverifier, subnet that uses v0
# github.com/lestrrat-go/jwx aka golang-github-lestrrat-go-jwx-dev
# allowing that package to be upgraded to v2, for use by other packages.
export DH_GOLANG_EXCLUDES := mimedb/util pkg/env certs licverifier subnet

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-minio-pkg 3.0.24

=== debian/changelog ===
golang-github-minio-pkg (3.0.24-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 20 Dec 2024 23:29:13 +0000

golang-github-minio-pkg (3.0.22-2) unstable; urgency=medium

  * Add a patch supporting golang-github-lestrrat-go-jwx-dev v2, as the
    disabled subpackages will be needed by minio-client

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 01 Dec 2024 20:50:00 +0000

## golang-github-minio-pkg 3.0.28

=== debian/changelog ===
golang-github-minio-pkg (3.0.28-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 21 Jan 2025 04:17:42 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                golang-github-fatih-color-dev,
                golang-github-fatih-structs-dev,
                golang-github-go-ldap-ldap-dev,
+               golang-github-lestrrat-go-jwx-dev (>= 2.1.3),
                golang-github-mattn-go-colorable-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-minio-madmin-go-dev,
@@ -37,6 +38,7 @@
          golang-github-fatih-color-dev,
          golang-github-fatih-structs-dev,
          golang-github-go-ldap-ldap-dev,
+         golang-github-lestrrat-go-jwx-dev (>= 2.1.3),
          golang-github-mattn-go-colorable-dev,
          golang-github-mattn-go-isatty-dev,
          golang-github-minio-madmin-go-dev,

## golang-github-minio-pkg 3.1.2

=== debian/changelog ===
golang-github-minio-pkg (3.1.2-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Build-Depends and Depends
    - Update Standards-Version to 4.7.2 (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 27 Mar 2025 12:40:03 +0000

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,8 @@
                golang-github-lestrrat-go-jwx-dev (>= 2.1.3),
                golang-github-mattn-go-colorable-dev,
                golang-github-mattn-go-isatty-dev,
-               golang-github-minio-madmin-go-dev,
-               golang-github-minio-minio-go-dev,
+               golang-github-minio-minio-go-v7-dev (>= 7.0.88),
                golang-github-minio-mux-dev,
-               golang-github-montanaflynn-stats-dev,
                golang-github-rjeczalik-notify-dev,
                golang-github-tinylib-msgp-dev,
                golang-golang-x-crypto-dev,
@@ -25,7 +23,7 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-gopkg-yaml.v3-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-pkg
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-pkg.git
 Homepage: https://github.com/minio/pkg
@@ -41,10 +39,8 @@
          golang-github-lestrrat-go-jwx-dev (>= 2.1.3),
          golang-github-mattn-go-colorable-dev,
          golang-github-mattn-go-isatty-dev,
-         golang-github-minio-madmin-go-dev,
-         golang-github-minio-minio-go-dev,
+         golang-github-minio-minio-go-v7-dev (>= 7.0.88),
          golang-github-minio-mux-dev,
-         golang-github-montanaflynn-stats-dev,
          golang-github-rjeczalik-notify-dev,
          golang-github-tinylib-msgp-dev,
          golang-golang-x-crypto-dev,

## golang-github-minio-pkg 3.3.7

=== debian/changelog ===
golang-github-minio-pkg (3.3.7-1) unstable; urgency=medium

  * New upstream release
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 04 Sep 2025 23:58:51 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-sequence-golang,
                golang-any,
                golang-etcd-server-dev (>= 3.5.15-3),
+               golang-github-coreos-go-oidc-v3-dev,
                golang-github-fatih-color-dev,
                golang-github-fatih-structs-dev,
                golang-github-go-ldap-ldap-dev,
@@ -18,7 +19,9 @@
                golang-github-minio-mux-dev,
                golang-github-rjeczalik-notify-dev,
                golang-github-tinylib-msgp-dev,
+               golang-github-zeebo-xxh3-dev,
                golang-golang-x-crypto-dev,
+               golang-golang-x-oauth2-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-gopkg-yaml.v3-dev
@@ -33,6 +36,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-etcd-server-dev (>= 3.5.15-3),
+         golang-github-coreos-go-oidc-v3-dev,
          golang-github-fatih-color-dev,
          golang-github-fatih-structs-dev,
          golang-github-go-ldap-ldap-dev,
@@ -43,7 +47,9 @@
          golang-github-minio-mux-dev,
          golang-github-rjeczalik-notify-dev,
          golang-github-tinylib-msgp-dev,
+         golang-github-zeebo-xxh3-dev,
          golang-golang-x-crypto-dev,
+         golang-golang-x-oauth2-dev,
          golang-golang-x-sys-dev,
          golang-gopkg-cheggaaa-pb.v1-dev,
          golang-gopkg-yaml.v3-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Don't build `util` binary
export DH_GOLANG_EXCLUDES := mimedb/util

# Test certs are needed by some tests
export DH_GOLANG_INSTALL_EXTRA := certs/

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/minio/pkg/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-minio-pkg 3.4.2

=== debian/changelog ===
golang-github-minio-pkg (3.4.2-3) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * Add patch for building with golang-github-lestrrat-go-jwx v3
  * Update Build-Depends and Depends in d/control

  [ Simon Josefsson ]
  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Use watch v5
  * Bump debian/* copyright years

 -- Simon Josefsson <simon@josefsson.org>  Wed, 11 Feb 2026 13:16:07 +0100

golang-github-minio-pkg (3.4.2-2) unstable; urgency=medium

  * Cherry-pick upstream fix for failing test (Closes: #1123393)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 10 Jan 2026 20:42:59 +0000

golang-github-minio-pkg (3.4.2-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Build-Depends and Depends
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 16 Nov 2025 15:30:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: golang-github-minio-pkg
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Mathias Gibbens <gibmat@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -12,6 +10,8 @@
                golang-github-fatih-color-dev,
                golang-github-fatih-structs-dev,
                golang-github-go-ldap-ldap-dev,
+               golang-github-go-openapi-swag-dev,
+               golang-github-golang-jwt-jwt-dev (>= 3.0.0),
                golang-github-lestrrat-go-jwx-dev (>= 2.1.3),
                golang-github-mattn-go-colorable-dev,
                golang-github-mattn-go-isatty-dev,
@@ -26,7 +26,7 @@
                golang-gopkg-cheggaaa-pb.v1-dev,
                golang-gopkg-yaml.v3-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-minio-pkg
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-minio-pkg.git
 Homepage: https://github.com/minio/pkg
@@ -40,6 +40,7 @@
          golang-github-fatih-color-dev,
          golang-github-fatih-structs-dev,
          golang-github-go-ldap-ldap-dev,
+         golang-github-golang-jwt-jwt-dev (>= 3.0.0),
          golang-github-lestrrat-go-jwx-dev (>= 2.1.3),
          golang-github-mattn-go-colorable-dev,
          golang-github-mattn-go-isatty-dev,

=== debian/watch ===
Version: 5
Template: Github
Owner: minio
Project: pkg
